## python-aioruckus 0.40

=== requirements.txt ===
aiohttp>=3.8.4
xmltodict>=0.13.0
cryptography>=41.0.0

=== debian/changelog ===
python-aioruckus (0.40-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:15:49 +0200

python-aioruckus (0.40-1) unstable; urgency=medium

  * Initial release. (Closes: #1079160)

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Aug 2024 17:56:37 +0200

=== debian/control ===
Source: python-aioruckus
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-cryptography,
 python3-pytest,
 python3-pytest-asyncio,
 python3-xmltodict,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioruckus
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioruckus.git
Homepage: https://github.com/ms264556/aioruckus

Package: python3-aioruckus
Architecture: all
Depends:
 python3-aiohttp,
 python3-cryptography,
 python3-xmltodict,
 ${misc:Depends},
 ${python3:Depends},
Description: API to interact with Ruckus Unleashed and ZoneDirector devices
 This package provides a Python API which interacts with Ruckus Unleashed and
 ZoneDirector devices via their AJAX Web Service interface. Configuration
 information can also be queried from Ruckus Unleashed and ZoneDirector backup
 files.
 .
 Compatible with all Ruckus Unleashed versions, and Ruckus ZoneDirector
 versions 9.10 onwards.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ms264556/aioruckus.git
include /usr/share/openstack-pkg-tools/pkgos.make

export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
export PYBUILD_TEST_ARGS= -v --ignore tests/test_data.py -k 'not test_connect_success and not test_authentication_error' tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/ms264556/aioruckus refs/tags/(\d[brc\d\.]+)
